=== scripts/CMakeLists.txt ===
cmake_minimum_required (VERSION 2.8)
install (DIRECTORY bash fish vim zsh add-ons extensions DESTINATION ${TASK_DOCDIR}/scripts)
