=== src/columns/CMakeLists.txt ===
--- 
+++ 
@@ -27,6 +27,7 @@
                   ColTags.cpp ColTags.h
                   ColUntil.cpp ColUntil.h
                   ColUrgency.cpp ColUrgency.h
+                  ColUDA.cpp ColUDA.h
                   ColUUID.cpp ColUUID.h
                   ColWait.cpp ColWait.h)
