## task 2.0.0.release

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,10 +1,12 @@
 cmake_minimum_required (VERSION 2.8)
+set(CMAKE_LEGACY_CYGWIN_WIN32 0) # Remove when CMake >= 2.8.4 is required
+
 include (CheckFunctionExists)
 
 set (HAVE_CMAKE true)
 
 project (task)
-set (PROJECT_VERSION "2.0.0.beta5")
+set (PROJECT_VERSION "2.0.0")
 
 SET (TASK_MAN1DIR share/man/man1 CACHE STRING "Installation directory for man pages, section 1")
 SET (TASK_MAN5DIR share/man/man5 CACHE STRING "Installation directory for man pages, section 5")
