=== src/CMakeLists.txt ===
--- 
+++ 
@@ -33,7 +33,6 @@
                Uri.cpp Uri.h
                ViewTask.cpp ViewTask.h
                ViewText.cpp ViewText.h
-               helpers.cpp
                dependency.cpp
                feedback.cpp
                i18n.h
@@ -57,7 +56,7 @@
 install (TARGETS task_executable DESTINATION ${TASK_BINDIR})
 
 set (CMAKE_BUILD_TYPE debug)
-set (CMAKE_CXX_FLAGS_DEBUG   "${CMAKE_CXX_FLAGS_DEBUG}   -ggdb3 -Wall")
+set (CMAKE_CXX_FLAGS_DEBUG   "${CMAKE_CXX_FLAGS_DEBUG}   -g -Wall")
 set (CMAKE_CXX_FLAGS_RELEASE "${CMAKE_CXX_FLAGS_RELEASE} -O3 -Wall")
 
 #SET(CMAKE_BUILD_TYPE gcov)
