## task 2.1.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,11 +2,12 @@
 set(CMAKE_LEGACY_CYGWIN_WIN32 0) # Remove when CMake >= 2.8.4 is required
 
 include (CheckFunctionExists)
+include (CheckStructHasMember)
 
 set (HAVE_CMAKE true)
 
 project (task)
-set (PROJECT_VERSION "2.0.0")
+set (PROJECT_VERSION "2.1.1")
 
 SET (TASK_MAN1DIR share/man/man1 CACHE STRING "Installation directory for man pages, section 1")
 SET (TASK_MAN5DIR share/man/man5 CACHE STRING "Installation directory for man pages, section 5")
@@ -19,6 +20,10 @@
   set (DARWIN true)
 elseif (${CMAKE_SYSTEM_NAME} MATCHES "FreeBSD")
   set (FREEBSD true)
+elseif (${CMAKE_SYSTEM_NAME} MATCHES "OpenBSD")
+  set (OPENBSD true)
+elseif (${CMAKE_SYSTEM_NAME} MATCHES "NetBSD")
+  set (NETBSD true)
 elseif (${CMAKE_SYSTEM_NAME} MATCHES "SunOS")
   set (SOLARIS true)
 else (${CMAKE_SYSTEM_NAME} MATCHES "Linux")
@@ -65,6 +70,9 @@
 
 check_function_exists (random  HAVE_RANDOM)
 check_function_exists (srandom HAVE_SRANDOM)
+check_function_exists (timegm  HAVE_TIMEGM)
+
+check_struct_has_member ("struct tm" tm_gmtoff time.h HAVE_TM_GMTOFF)
 
 message ("-- Looking for libuuid")
 if (DARWIN)
