=== src/CMakeLists.txt ===
--- 
+++ 
@@ -43,7 +43,8 @@
                sort.cpp
                text.cpp text.h
                utf8.cpp utf8.h
-               util.cpp util.h)
+               util.cpp util.h
+               wcwidth6.c)
 
 add_library (task STATIC ${task_SRCS})
 add_executable (task_executable main.cpp)
