=== src/columns/CMakeLists.txt ===
--- 
+++ 
@@ -21,6 +21,7 @@
                   ColPriority.cpp ColPriority.h
                   ColProject.cpp ColProject.h
                   ColRecur.cpp ColRecur.h
+                  ColScheduled.cpp ColScheduled.h
                   ColStart.cpp ColStart.h
                   ColStatus.cpp ColStatus.h
                   ColString.cpp ColString.h
