=== src/commands/CMakeLists.txt ===
--- 
+++ 
@@ -48,6 +48,7 @@
                    CmdSynch.cpp       CmdSynch.h
                    CmdTags.cpp        CmdTags.h
                    CmdTimesheet.cpp   CmdTimesheet.h
+                   CmdUDAs.cpp        CmdUDAs.h
                    CmdUndo.cpp        CmdUndo.h
                    CmdUrgency.cpp     CmdUrgency.h
                    CmdVersion.cpp     CmdVersion.h)
