## task 2.1.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,4 @@
 cmake_minimum_required (VERSION 2.8)
-set(CMAKE_LEGACY_CYGWIN_WIN32 0) # Remove when CMake >= 2.8.4 is required
 
 include (CheckFunctionExists)
 include (CheckStructHasMember)
@@ -7,7 +6,7 @@
 set (HAVE_CMAKE true)
 
 project (task)
-set (PROJECT_VERSION "2.1.1")
+set (PROJECT_VERSION "2.1.2")
 
 SET (TASK_MAN1DIR share/man/man1 CACHE STRING "Installation directory for man pages, section 1")
 SET (TASK_MAN5DIR share/man/man5 CACHE STRING "Installation directory for man pages, section 5")
