## task 2.2.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,5 @@
 cmake_minimum_required (VERSION 2.8)
+set(CMAKE_LEGACY_CYGWIN_WIN32 0) # Remove when CMake >= 2.8.4 is required
 
 include (CheckFunctionExists)
 include (CheckStructHasMember)
@@ -6,7 +7,7 @@
 set (HAVE_CMAKE true)
 
 project (task)
-set (PROJECT_VERSION "2.1.2")
+set (PROJECT_VERSION "2.2.0")
 
 SET (TASK_MAN1DIR share/man/man1 CACHE STRING "Installation directory for man pages, section 1")
 SET (TASK_MAN5DIR share/man/man5 CACHE STRING "Installation directory for man pages, section 5")
@@ -48,30 +49,12 @@
 set (PACKAGE_VERSION "${VERSION}")
 set (PACKAGE_STRING "${PACKAGE} ${VERSION}")
 
-message ("-- Looking for Lua51")
-find_package (Lua51)
-if (LUA51_FOUND)
-  message ("-- Found Lua51: ${LUA_LIBRARIES}")
-  set (HAVE_LIBLUA true)
-  set (TASK_INCLUDE_DIRS ${TASK_INCLUDE_DIRS} ${LUA_INCLUDE_DIR})
-  set (TASK_LIBRARIES    ${TASK_LIBRARIES}    ${LUA_LIBRARIES})
-endif (LUA51_FOUND)
-
-#message ("-- Looking for pthread")
-#find_path (PTHREAD_INCLUDE_DIR pthread.h)
-#find_library (PTHREAD_LIBRARY NAMES pthread)
-#if (PTHREAD_INCLUDE_DIR AND PTHREAD_LIBRARY)
-#  message ("-- Found pthread: ${PTHREAD_LIBRARY}")
-#  set (HAVE_LIBPTHREAD true)
-#  set (TASK_INCLUDE_DIRS ${TASK_INCLUDE_DIRS} ${PTHREAD_INCLUDE_DIR})
-#  set (TASK_LIBRARIES    ${TASK_LIBRARIES}    ${PTHREAD_LIBRARIES})
-#endif (PTHREAD_INCLUDE_DIR AND PTHREAD_LIBRARY)
-
 check_function_exists (random  HAVE_RANDOM)
 check_function_exists (srandom HAVE_SRANDOM)
 check_function_exists (timegm  HAVE_TIMEGM)
 
 check_struct_has_member ("struct tm" tm_gmtoff time.h HAVE_TM_GMTOFF)
+check_struct_has_member ("struct stat" st_birthtime "sys/types.h;sys/stat.h" HAVE_ST_BIRTHTIME)
 
 message ("-- Looking for libuuid")
 if (DARWIN)
@@ -100,6 +83,18 @@
   message ("-- libuuid not found, using internal uuid")
 endif (HAVE_UUID AND HAVE_UUID_UNPARSE_LOWER)
 
+# Set the package language.
+if (LANGUAGE)
+  set (PACKAGE_LANGUAGE ${LANGUAGE})
+else (LANGUAGE)
+  set (PACKAGE_LANGUAGE 1)
+endif (LANGUAGE)
+
+set (LANGUAGE_EN_US 1)
+set (LANGUAGE_ES_ES 2)
+set (LANGUAGE_DE_DE 3)
+set (LANGUAGE_FR_FR 4)
+
 message ("-- Configuring cmake.h")
 configure_file (
   ${CMAKE_SOURCE_DIR}/cmake.h.in
@@ -114,6 +109,9 @@
 if (EXISTS test)
   add_subdirectory (test EXCLUDE_FROM_ALL)
 endif (EXISTS test)
+if (EXISTS performance)
+  add_subdirectory (performance EXCLUDE_FROM_ALL)
+endif (EXISTS performance)
 
 set (doc_FILES NEWS ChangeLog README INSTALL AUTHORS COPYING)
 foreach (doc_FILE ${doc_FILES})
@@ -125,8 +123,8 @@
 set (CPACK_SOURCE_GENERATOR "TGZ")
 set (CPACK_SOURCE_PACKAGE_FILE_NAME ${PACKAGE_NAME}-${PACKAGE_VERSION})
 set (CPACK_SOURCE_IGNORE_FILES  "CMakeCache" "CMakeFiles" "CPackConfig" "CPackSourceConfig"
-                                "_CPack_Packages" "cmake_install" "install_manifest"
-                                "Makefile$" "test" "package-config" "misc/*"
-                                "src/task$" "src/libtask.a" "auto.h$"
-                                "/\\.gitignore" "/\\.git/" "swp$")
+                                "_CPack_Packages" "cmake_install" "install_manifest" "Makefile$"
+				"test" "package-config" "misc/*" "src/task$" "src/libtask.a"
+				"src/columns/libcolumns.a" "src/commands/libcommands.a"
+                                "auto.h$" "/\\.gitignore" "/\\.git/" "swp$")
 include (CPack)
