=== src/CMakeLists.txt ===
--- 
+++ 
@@ -6,7 +6,6 @@
                      ${TASK_INCLUDE_DIRS})
 
 set (task_SRCS A3.cpp A3.h
-               API.cpp API.h
                Arg.cpp Arg.h
                Color.cpp Color.h
                Config.cpp Config.h
@@ -30,6 +29,7 @@
                TransportCurl.cpp TransportCurl.h
                TransportRSYNC.cpp TransportRSYNC.h
                TransportSSH.cpp TransportSSH.h
+               TransportShell.cpp TransportShell.h
                Uri.cpp Uri.h
                ViewTask.cpp ViewTask.h
                ViewText.cpp ViewText.h
@@ -44,7 +44,7 @@
                text.cpp text.h
                utf8.cpp utf8.h
                util.cpp util.h
-               wcwidth6.c)
+               wcwidth6.cpp)
 
 add_library (task STATIC ${task_SRCS})
 add_executable (task_executable main.cpp)
