=== src/columns/CMakeLists.txt ===
--- 
+++ 
@@ -6,17 +6,16 @@
                      ${TASK_INCLUDE_DIRS})
 
 set (columns_SRCS Column.cpp Column.h
-                  ColBg.cpp ColBg.h
                   ColDate.cpp ColDate.h
                   ColDepends.cpp ColDepends.h
                   ColDescription.cpp ColDescription.h
                   ColDue.cpp ColDue.h
                   ColEnd.cpp ColEnd.h
                   ColEntry.cpp ColEntry.h
-                  ColFg.cpp ColFg.h
                   ColID.cpp ColID.h
                   ColIMask.cpp ColIMask.h
                   ColMask.cpp ColMask.h
+                  ColModified.cpp ColModified.h
                   ColParent.cpp ColParent.h
                   ColPriority.cpp ColPriority.h
                   ColProject.cpp ColProject.h
