=== src/commands/CMakeLists.txt ===
--- 
+++ 
@@ -7,6 +7,7 @@
 
 set (commands_SRCS Command.cpp        Command.h
                    CmdAdd.cpp         CmdAdd.h
+                   CmdAliases.cpp     CmdAliases.h
                    CmdAnnotate.cpp    CmdAnnotate.h
                    CmdAppend.cpp      CmdAppend.h
                    CmdBurndown.cpp    CmdBurndown.h
@@ -42,7 +43,7 @@
                    CmdShell.cpp       CmdShell.h
                    CmdShow.cpp        CmdShow.h
                    CmdStart.cpp       CmdStart.h
-                   CmdStatistics.cpp  CmdStatistics.h
+                   CmdStats.cpp       CmdStats.h
                    CmdStop.cpp        CmdStop.h
                    CmdSummary.cpp     CmdSummary.h
                    CmdSynch.cpp       CmdSynch.h
