=== debian/changelog ===
task (2.2.0-3) unstable; urgency=low

  * Rename /etc/bash_completion.d/task.sh back as /etc/bash_completion.d/task
    (closes: #710321):
    + Update debian/rules accordingly.
    + Add debian/maintscript to let dh_installdeb add maintainer script
      snippets to remove the old file.
    + Bump minimum required version of debhelper to 8.1 (for
      dpkg-maintscript-helper support.)
    + Add ${misc:Pre-Depends} to Pre-Depends. (It's not strictly necessary for
      unstable, but it eases wheezy backports).
  * Add DEP-8 tests.

 -- Jakub Wilk <jwilk@debian.org>  Mon, 03 Jun 2013 18:47:50 +0200

task (2.2.0-2) unstable; urgency=low

  * Upload to unstable.
  * Adapt the test suite to Debian needs:
    + Add patch (tests-set-build-type.diff) to set cmake build type to ‘debug’
      and append -Wall to CXXFLAGS. That way tests are built with the same
      flags as normal code.

 -- Jakub Wilk <jwilk@debian.org>  Sun, 12 May 2013 02:12:45 +0200

task (2.2.0-1) experimental; urgency=low

  * New upstream release.
    + This release no longer supports Lua extensions.
      - Remove lublua5.1-dev from Build-Depends.
    + Drop fix-manpage-formatting.diff; applied upstream.
    + Drop fix-manpage-installation.diff; applied upstream.
    + Drop fix-typos.diff; applied upstream.
    + Refresh other patches.
    + Update debian/copyright.
    + Fix duplication of completed task on merge (closes: #700255).
      Thanks to Helmut Grohne for the bug report.
  * Add supplemental .orig.tar with the test suite.
    + Add get-orig-source target, which imports the tests from the upstream
      VCS.
  * Adapt the test suite to Debian needs:
    + Add patch (tests-out-of-tree.diff) to allow running tests out-of-tree
    + Add patch (tests-unset-env-vars.diff) unset TASK* environment variables.
    + Add patch (tests-fail.diff) to make the test runner exit with non-zero
      code if any of the tests fail.
    + Add patch (tests-for-released-version.diff) to allow running tests
      against a released version of taskwarrior.
    + Add patch (tests-temporary-directory.diff) to fix insecure use of /tmp.
  * Run tests at build time.
    + Update debian/rules.
    + Add libjson-perl to Build-Depends.
  * Add patch (directory-no-path-max.diff) to use get_current_dir_name()
    instead of relying on PATH_MAX, as the latter is not defined on GNU/Hurd.
  * Add patch (directory-handle-dt-unknown.diff) to properly handle d_type ==
    DT_UNKNOWN.
  * Add patch (system-hurd.diff) to add support for GNU/Hurd systems.
  * Add patch (system-kfreebsd.diff) to add support for GNU/kFreeBSD systems.
  * Link against libuuid.
    + Add uuid-dev to Build-Depends.
  * Don't use dh_testdir; instead use target dependencies to ensure that
    debian/rules is run from the correct directory.
  * Run dh_clean as the first command in the clean target.

 -- Jakub Wilk <jwilk@debian.org>  Thu, 11 Apr 2013 00:43:17 +0200

task (2.1.2-1) experimental; urgency=low

  * New maintainer.
    Thanks to Alexander Neumann for his past work on this package.
  * Relicense Debian packaging to the same license upstream uses (MIT), as
    agreed with Alexander.
  * New upstream release (closes: 693979).
    + Fix order of priorities in the project summary (closes: #680353).
      Thanks to Marcin Kulisz for the bug report.
  * Update debian/copyright.
  * Bump standards version to 3.9.4 (no changes needed).
  * Switch to source format 3.0 (quilt).
  * Remove pre-built static libraries early in the build* targets.
  * Remove cmake.h in the clean target.
  * Rewrite debian/rules from scratch, without cdbs.
    + Drop "cbds" from Build-Depends.
    + Add "dpkg-dev (>= 1.15.7)" to Build-Depends, for dpkg-buildflags.
  * Don't install vim support files to the binary package; they are already
    included in the vim package itself.
  * Don't install /usr/share/task/refresh to the binary package; it's not
    useful at runtime.
  * Fix TASK_RCDIR in cmake.h (closes: #669344).
    Thanks to Sylvain Fankhauser for the bug report.
  * Add Lintian override for spelling-error-in-manpage; the misspelling in
    question is deliberate.
  * Add patch (fix-manpage-formatting.diff) to fix a formatting error in the
    task(1) manual page (closes: #699332).
  * Add patch (fix-manpage-installation.diff) to fix manual page installation
    for out-of-tree builds.
  * Add patch (fix-typos.diff) to fix some spelling errors.

 -- Jakub Wilk <jwilk@debian.org>  Wed, 27 Feb 2013 17:05:06 +0100

task (2.0.0-1) unstable; urgency=low

  * new upstream version (closes: #666903)
  * this version can be built using gcc-4.7 (closes: #667390)

 -- Alexander Neumann <alexander@debian.org>  Sun, 08 Apr 2012 12:37:11 +0200

task (1.9.4-2) unstable; urgency=low

  * include right path to colorthemes in generated .taskrc (closes: #638269)

 -- Alexander Neumann <alexander@debian.org>  Thu, 25 Aug 2011 22:18:17 +0200

task (1.9.4-1) unstable; urgency=low

  * new upstream version (closes: #635141)
  * update standards version to 3.9.2 (no changes)

 -- Alexander Neumann <alexander@debian.org>  Mon, 01 Aug 2011 22:01:52 +0200

task (1.9.3-1) unstable; urgency=low

  * new upstream version
  * update standards version to 3.9.1 (no changes)

 -- Alexander Neumann <alexander@debian.org>  Sun, 05 Dec 2010 13:46:37 +0100

task (1.9.2-1) unstable; urgency=low

  * new upstream version
  * update standards version to 3.9.0

 -- Alexander Neumann <alexander@debian.org>  Tue, 20 Jul 2010 10:02:25 +0200

task (1.9.1-1) unstable; urgency=low

  * new upstream version

 -- Alexander Neumann <alexander@debian.org>  Mon, 31 May 2010 16:55:14 +0200

task (1.9.0-3) unstable; urgency=low

  * restored old (buggy) behaviour, as libuuid is untested (by upstream)
    (reopens #573066, will be fixed upstream in 1.9.1)

 -- Alexander Neumann <alexander@debian.org>  Tue, 09 Mar 2010 12:32:30 +0100

task (1.9.0-2) unstable; urgency=low


