=== debian/control ===
Source: task
Section: utils
Priority: optional
Maintainer: Jakub Wilk <jwilk@debian.org>
Build-Depends: debhelper (>= 8.1),
 dpkg-dev (>= 1.15.7),
 cmake,
 uuid-dev,
 libjson-perl,
Standards-Version: 3.9.4
Homepage: http://taskwarrior.org

Package: task
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: feature-rich console based todo list manager
 Taskwarrior is a sophisticated command line todo list and task
 manager with a lot of features:
 .
  * colorful tabbed output
  * feature rich search function
  * tags
  * statistics
  * Getting Things Done compatible
  * interactive editing of items in text editor
