=== debian/tests/control ===
Tests: taskwarrior
Depends: task, perl
